<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <input onkeyup="contador()" type="text">
    <p id = "cont"></p>
    <script>
        var i = 0;

        function contador(){
            i++;
            document.getElementById("cont").innerHTML = i;
        }
    </script>
</body>
</html>